Summary:	An iptables-based firewall for Linux systems.
Group:		Networking/Utilities
Name:		shorewall
Version:	2.4.3
Release:	6
License:	GPL
Source0:	http://shorewall.viisage.com/pub/shorewall/2.0/%{name}-%{version}/%{name}-%{version}.tgz
Patch0:		shorewall-2.4.3-initscript-gd-1.diff
Patch1:		shorewall-2.4.1-webtool-gd-1.diff
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Requires: 	iptables

%description
The Shoreline Firewall, more commonly known as "Shorewall", is a Netfilter
(iptables) based firewall that can be used on a dedicated firewall system,
a multi-function gateway/ router/server or on a standalone GNU/Linux system.

%files 
  %defattr(0444,root,root,0555)
  %doc COPYING INSTALL changelog.txt releasenotes.txt

  %attr(0500,root,root)		%{_root_sbindir}/shorewall
  %attr(0700,root,root)		%{_sysconfdir}/init.d/shorewall

  %attr(0750,root,admin)	%dir %{_sysconfdir}/shorewall
  %attr(0640,root,admin)	%config(noreplace) %{_sysconfdir}/shorewall/*

  %attr(0500,root,root)		%dir %{_datadir}/shorewall
  %attr(0400,root,root)		%{_datadir}/shorewall/*

  %attr(0700,root,root)		%dir %{_var}/lib/shorewall

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%build

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  export OWNER=$(id -nu)
  export GROUP=$(id -ng)
  export PREFIX=$RPM_BUILD_ROOT
  ./install.sh

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%preun
  if [ $1 = 0 ]; then
    /sbin/chkconfig --del shorewall
  fi

%changelog
* Fri Sep 09 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2.4.3, Release 6
  - Unify all of the initscript patches into one initscript.
  - Implement a WebTool-compatable status function in the initscript,
    fixes #0000828.
  - Remove the BE ABSOLUTELY SURE warning in %post.

* Wed Sep 07 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2.4.3, Release 5
  - Execute "shorewall clear" when stopping the firewall, fixes #0000792.

* Thu Sep 01 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2.4.3, Release 4
  - Add default zones to zones and fix the $PATH in shorewall.conf.

* Thu Aug 25 2005 Peter O'Hara <pete@guardiandigital.com>
- Version 2.4.3, Release 3
  - Upgrade

* Tue Jul 26 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2.4.1, Release 2
  - Don't use %{_lib}.

* Tue Jul 19 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2.4.1, Release 1
  - Initial build for EnGarde Secure Linux 3.0.
